package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

public class MenuDishesEffectEditDTO implements Serializable {
   @ApiModelProperty("菜品功效id")
   private @NotNull(
   message = "{menu_effect_id_null}"
) Long effectId;
   @ApiModelProperty("菜品功效名称")
   private @NotBlank(
   message = "{menu_effect_name_null}"
) String effectName;

   public Long getEffectId() {
      return this.effectId;
   }

   public String getEffectName() {
      return this.effectName;
   }

   public void setEffectId(final Long effectId) {
      this.effectId = effectId;
   }

   public void setEffectName(final String effectName) {
      this.effectName = effectName;
   }
}
